#!/bin/bash

function fetch() {
	if [[ "$3" != "" ]]; then
		fn="$3"
	else
		fn="$1"
	fi
	"./fetch_$1.sh" "$2" | json_reformat -m > "$fn.json.tmp"
	rm -f "$fn.json"
	mv "$fn.json.tmp" "$fn.json"
}

fetch streets
fetch city_outlines
fetch trainlines "Train Lines"
fetch trainlines "Access Paths" trainlines_access
fetch bodiesofwater "Rivers" rivers
fetch bodiesofwater "Oceans, Seas, and Lakes" oceans
